package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag732;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT732Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag72ZCreator extends AbsTagCreate {

     private MT732Creator mt732Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt732Creator= (MT732Creator) absMTCreator;
    }

    public void creator()
    {
        String tag72ZValue = mt732Creator.getSenderToReceiverInformation();
        mt732Creator.set("72Z", tag72ZValue);
    }
}
